<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Tactic Arena: include/race.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="icon.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Tactic Arena
   </div>
   <div id="projectbrief">Reproduction of Tactic Arena with Custom features</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">race.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="race_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160; </div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#ifndef _H_RACE</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#define _H_RACE</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160; </div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160; </div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment">/*Définition des races*/</span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#include &lt;stdio.h&gt;</span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#include &lt;stdlib.h&gt;</span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="personnage_8h.html">personnage.h</a>&quot;</span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="commun_8h.html">commun.h</a>&quot;</span></div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="equipe__sdd_8h.html">equipe_sdd.h</a>&quot;</span></div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160; </div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160; </div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="structrace__s.html">race_s</a> <a class="code" href="structrace__t.html">race_t</a>;</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="comment">/*Structure des races*/</span></div>
<div class="line"><a name="l00042"></a><span class="lineno"><a class="line" href="structrace__s.html">   42</a></span>&#160;<span class="keyword">struct </span><a class="code" href="structrace__s.html">race_s</a></div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;{</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;  <span class="keywordtype">char</span> nom_race[50];</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;  <span class="keywordtype">int</span> bonus;</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;  <span class="keywordtype">int</span> malus;</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;  <a class="code" href="commun_8h.html#a1a1e7452d1383368a2471f00a416eedf">type_race_t</a> race;</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160; </div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;  err_t(*detruire)(<a class="code" href="structrace__t.html">race_t</a> **);</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;  void(*race_activer_bonus)(<span class="keywordtype">void</span> * pers);</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;  void(*race_desactiver_bonus)(<span class="keywordtype">void</span> * pers);</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160; </div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;};</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160; </div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160; </div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;<span class="keyword">extern</span></div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;<a class="code" href="structrace__t.html">race_t</a> * <a class="code" href="race_8h.html#a0e4e6482c368ad8fe22f756ef1a82c85">race_creer_humain</a>();</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160; </div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;<span class="keyword">extern</span></div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;<a class="code" href="structrace__t.html">race_t</a> * <a class="code" href="race_8h.html#a168c5280abf6566051e63b6053f783f1">race_creer_orc</a>();</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160; </div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;<span class="keyword">extern</span></div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;<a class="code" href="structrace__t.html">race_t</a> * <a class="code" href="race_8h.html#a587b1231f75906e44f80e9e0a2f38fac">race_creer_elfe</a>();</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160; </div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;<span class="keyword">extern</span></div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;<a class="code" href="structrace__t.html">race_t</a> * <a class="code" href="race_8h.html#ab471df42b908d1d3e4983609d283bfa9">race_creer_nain</a>();</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160; </div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;<span class="keyword">extern</span></div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;<a class="code" href="structrace__t.html">race_t</a> * <a class="code" href="race_8h.html#a5d47a05afbb3b77eb3d7965d9ed512a1">race_creer_demon</a>();</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160; </div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;<span class="keyword">extern</span></div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;<a class="code" href="structrace__t.html">race_t</a> * <a class="code" href="race_8h.html#a071ce6a24f9c8dc32a325ac4b31c88e4">race_creer_kobolt</a>();</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160; </div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;<span class="keyword">extern</span></div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;<span class="keywordtype">void</span> race_maj_equipe(<a class="code" href="structliste__perso__t.html">liste_perso_t</a> * liste, <a class="code" href="structliste__perso__t.html">liste_perso_t</a> * lsite2, <a class="code" href="commun_8h.html#a63bb45e8d9c51aeac5a553c0090593f7">t_temps</a> temps);</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160; </div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;<span class="keyword">extern</span></div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;<span class="keywordtype">void</span> <a class="code" href="race_8h.html#a1592469a8d5171aae313b3eed399ef96">race_activer</a>(<a class="code" href="structliste__perso__t.html">liste_perso_t</a> * liste);</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160; </div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="ttc" id="acommun_8h_html"><div class="ttname"><a href="commun_8h.html">commun.h</a></div><div class="ttdoc">Les variable utilisé en commun.</div></div>
<div class="ttc" id="acommun_8h_html_a1a1e7452d1383368a2471f00a416eedf"><div class="ttname"><a href="commun_8h.html#a1a1e7452d1383368a2471f00a416eedf">type_race_t</a></div><div class="ttdeci">type_race_t</div><div class="ttdoc">Les différents types de races.</div><div class="ttdef"><b>Definition:</b> commun.h:64</div></div>
<div class="ttc" id="acommun_8h_html_a63bb45e8d9c51aeac5a553c0090593f7"><div class="ttname"><a href="commun_8h.html#a63bb45e8d9c51aeac5a553c0090593f7">t_temps</a></div><div class="ttdeci">t_temps</div><div class="ttdoc">Les deux temps possibles.</div><div class="ttdef"><b>Definition:</b> commun.h:158</div></div>
<div class="ttc" id="aequipe__sdd_8h_html"><div class="ttname"><a href="equipe__sdd_8h.html">equipe_sdd.h</a></div><div class="ttdoc">Le structure de données des equipes.</div></div>
<div class="ttc" id="apersonnage_8h_html"><div class="ttname"><a href="personnage_8h.html">personnage.h</a></div><div class="ttdoc">Structure de la classe personnage.</div></div>
<div class="ttc" id="arace_8h_html_a071ce6a24f9c8dc32a325ac4b31c88e4"><div class="ttname"><a href="race_8h.html#a071ce6a24f9c8dc32a325ac4b31c88e4">race_creer_kobolt</a></div><div class="ttdeci">race_t * race_creer_kobolt()</div><div class="ttdoc">fonction qui créer une race kobolt</div><div class="ttdef"><b>Definition:</b> race.c:342</div></div>
<div class="ttc" id="arace_8h_html_a0e4e6482c368ad8fe22f756ef1a82c85"><div class="ttname"><a href="race_8h.html#a0e4e6482c368ad8fe22f756ef1a82c85">race_creer_humain</a></div><div class="ttdeci">race_t * race_creer_humain()</div><div class="ttdoc">fonction qui créer une race humain</div><div class="ttdef"><b>Definition:</b> race.c:294</div></div>
<div class="ttc" id="arace_8h_html_a1592469a8d5171aae313b3eed399ef96"><div class="ttname"><a href="race_8h.html#a1592469a8d5171aae313b3eed399ef96">race_activer</a></div><div class="ttdeci">void race_activer(liste_perso_t *liste)</div><div class="ttdoc">fonction qui active toutes les races des personnages d'un equipe</div><div class="ttdef"><b>Definition:</b> race.c:414</div></div>
<div class="ttc" id="arace_8h_html_a168c5280abf6566051e63b6053f783f1"><div class="ttname"><a href="race_8h.html#a168c5280abf6566051e63b6053f783f1">race_creer_orc</a></div><div class="ttdeci">race_t * race_creer_orc()</div><div class="ttdoc">fonction qui créer une race orc</div><div class="ttdef"><b>Definition:</b> race.c:270</div></div>
<div class="ttc" id="arace_8h_html_a587b1231f75906e44f80e9e0a2f38fac"><div class="ttname"><a href="race_8h.html#a587b1231f75906e44f80e9e0a2f38fac">race_creer_elfe</a></div><div class="ttdeci">race_t * race_creer_elfe()</div><div class="ttdoc">fonction qui créer une race elfe</div><div class="ttdef"><b>Definition:</b> race.c:318</div></div>
<div class="ttc" id="arace_8h_html_a5d47a05afbb3b77eb3d7965d9ed512a1"><div class="ttname"><a href="race_8h.html#a5d47a05afbb3b77eb3d7965d9ed512a1">race_creer_demon</a></div><div class="ttdeci">race_t * race_creer_demon()</div><div class="ttdoc">fonction qui créer une race demon</div><div class="ttdef"><b>Definition:</b> race.c:389</div></div>
<div class="ttc" id="arace_8h_html_ab471df42b908d1d3e4983609d283bfa9"><div class="ttname"><a href="race_8h.html#ab471df42b908d1d3e4983609d283bfa9">race_creer_nain</a></div><div class="ttdeci">race_t * race_creer_nain()</div><div class="ttdoc">fonction qui créer une race nain</div><div class="ttdef"><b>Definition:</b> race.c:366</div></div>
<div class="ttc" id="astructliste__perso__t_html"><div class="ttname"><a href="structliste__perso__t.html">liste_perso_t</a></div><div class="ttdoc">Structure d'une liste de personnage.</div></div>
<div class="ttc" id="astructrace__s_html"><div class="ttname"><a href="structrace__s.html">race_s</a></div><div class="ttdef"><b>Definition:</b> race.h:43</div></div>
<div class="ttc" id="astructrace__t_html"><div class="ttname"><a href="structrace__t.html">race_t</a></div><div class="ttdoc">Structure définissant une race.</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
